com.saxonica.config

## Class Verifier

- java.lang.Object
- - com.saxonica.config.Verifier

-     public class Verifier
      extends Object

  A helper class for EnterpriseConfiguration that handles license keys as issued for the Java platform. From Saxon 9.2 the same license keys are also used on the .NET platform, though the option of using older .NET license keys is retained for the time being.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Properties` | `features`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Verifier()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected int` | `daysLeft()` It returns how many days are left for the license.
    `void` | `displayLicenseMessage(Configuration config)` Display a message about the license status
    `String` | `getFeature(String name, Configuration config)` This method is called to get the feature of the license.
    `void` | `loadLicense(Configuration config)`
    `void` | `loadLicense(File filename)` Read the license file directly from a specified file
    `static void` | `main(String[] args)` Test program to verify that a license contained in a specific file is valid
    `void` | `supplyLicenseKey(BufferedReader reader)` This method allows the contents of a license key to be supplied programmatically.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### features

          protected Properties features

  - ### Constructor Detail

    - #### Verifier

          public Verifier()

  - ### Method Detail

    - #### daysLeft

          protected int daysLeft()

      It returns how many days are left for the license. The value 0 is valid, it may indicate a never expire license.
      Returns:
        how many days are left for the license.

    - #### getFeature

          public String getFeature(String name,
                          Configuration config)

      This method is called to get the feature of the license.
      Parameters:
        `name` - the name of the required feature
        `config` - the Saxon Configuration
      Returns:
        the feature value of the license.

    - #### displayLicenseMessage

          public void displayLicenseMessage(Configuration config)

      Display a message about the license status
      Parameters:
        `config` - the Configuration

    - #### loadLicense

          public void loadLicense(Configuration config)

    - #### loadLicense

          public void loadLicense(File filename)

      Read the license file directly from a specified file
      Parameters:
        `filename` - the name of the license file

    - #### supplyLicenseKey

          public void supplyLicenseKey(BufferedReader reader)

      This method allows the contents of a license key to be supplied programmatically. This must be a license file as issued to authorized OEM distributors of Saxon-EE.
      Parameters:
        `reader` - A reader that will be used to read the contents of the license file (for example, a StringReader)
      Throws:
        `IllegalArgumentException` - if the key supplied is not a valid OEM license key

    - #### main

          public static void main(String[] args)
                           throws Exception

      Test program to verify that a license contained in a specific file is valid
      Parameters:
        `args` - Command line arguments. First argument is the filename of the license file to be tested.
      Throws:
        `Exception` - if any failure occurs

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.